Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.codegen
Class RSClassLoader

    java.lang.Object
      java.lang.ClassLoader
          java.security.SecureClassLoader
              java.net.URLClassLoader
                  uchicago.src.codegen.RSClassLoader

    public class RSClassLoader

extends java.net.URLClassLoader

Constructor Summary
`RSClassLoader(java.lang.ClassLoader parent)`

Method Summary
`void` | `addClass(java.lang.String name, com.go.trove.classfile.ClassFile cf)`
`void` | `addPath(java.lang.String path)`
`protected java.lang.Class` | `findClass(java.lang.String name)`
`void` | `writeClass(java.lang.String name, java.lang.String dir)`

Methods inherited from class java.net.URLClassLoader
`addURL, definePackage, findResource, findResources, getPermissions, getURLs, newInstance, newInstance`

Methods inherited from class java.security.SecureClassLoader
`defineClass, defineClass`

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RSClassLoader

    public RSClassLoader(java.lang.ClassLoader parent)

Method Detail

### addClass

    public void addClass(java.lang.String name,
                         com.go.trove.classfile.ClassFile cf)

### addPath

    public void addPath(java.lang.String path)
                 throws java.net.MalformedURLException

  Throws:
    `java.net.MalformedURLException`

### writeClass

    public void writeClass(java.lang.String name,
                           java.lang.String dir)

### findClass

    protected java.lang.Class findClass(java.lang.String name)
                                 throws java.lang.ClassNotFoundException

  Overrides:
    `findClass` in class `java.net.URLClassLoader`
  Throws:
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD